$(function()
{
    $.setAjaxForm('#communicateForm');
    $('#communicateForm select').change(function()
    {
        $(this).closest('td').next().toggle(!!$(this).val() && $(this).val().indexOf('other') >= 0);

        if(!!$(this).val() && !($(this).val().indexOf('other') >= 0)) $(this).closest('td').next().find('input').val('');

        if($(this).val() && $(this).val().indexOf('other') === false)
        {
            $(this).closest('td').attr('colspan', 2);
        }
        else
        {
            $(this).closest('td').attr('colspan', 1);
        }

        var hasOther = false;
        $('#communicateForm select').each(function()
        {
            if(!!$(this).val() && $(this).val().indexOf('other') >= 0)
            {
                $('#communicateForm select').closest('td').removeAttr('class').css('width', '260px');
                hasOther = true;
            }
        })
        if(!hasOther) $('#communicateForm select').closest('td').removeAttr('class').css('width', '500px');

    })
    $('#communicateForm select').change();
})
